=== debian/changelog ===
recoll (1.13.01-1) unstable; urgency=low

  * New upstream release
    + Fixed bug that causes field values ignored for Capitalized words and
      phrases

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Jan 2010 10:09:15 +0530

recoll (1.13.00-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Fixed package descriptions, replaced QT->Qt (Closes: #563725)
  * debian/patches/01_nostrip_final_binaries_437901.diff:
    + Refreshed patch for upstream changes
  * Converted package to new source format '3.0 (quilt)'

 -- Kartik Mistry <kartik@debian.org>  Tue, 05 Jan 2010 23:23:30 +0530

recoll (1.12.4-1) unstable; urgency=low

  * New upstream release:
    + Fixed FTBFS with binutils-gold (Closes: #556315)

 -- Kartik Mistry <kartik@debian.org>  Fri, 11 Dec 2009 00:08:37 +0530

recoll (1.12.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated Build-Depends on libqt4-dev as we are building Qt4 ui now
  * debian/rules:
    + Make sure that we call qmake-qt4

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Oct 2009 22:44:50 +0530

recoll (1.12.2-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch 02_manpage_fixes.diff, merged with upstream
  * Added debian/README.source file to confirm with latest policy
  * Removed debian/docs, we are using dh_installdocs in debian/rules
  * debian/control:
    + Wrapped up Build-Depends
    + Depends on quilt, since patch system is using quilt now
    + Updated to Standards-Version 3.8.3
    + Updated dependency on libxapian-dev (>= 1.0.15)
  * debian/rules:
    + Changes for quilt migration

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Oct 2009 10:14:05 +0530

recoll (1.12.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.2 (no changes needed)
  * debian/copyright:
    + [Lintian] Removed licenses URL links to symlink

 -- Kartik Mistry <kartik@debian.org>  Sat, 27 Jun 2009 20:08:28 +0530

recoll (1.12.0-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + [Lintian] Updated for use of correct copyright symbol © instead of (C)
    + Updated Debian packaging copyright year
  * debian/rules:
    + Used dh_prep instead of deprecated dh_clean -k
  * debian/control:
    + Updated debhelper dependency to 7
  * debian/patches:
    + Dropped 02_gcc-snapshot-missing-headers-fix.dpatch, merged with upstream
    + Added patch 02_manpage_fixes.dpatch for groff warnings

 -- Kartik Mistry <kartik@debian.org>  Sat, 28 Feb 2009 14:33:53 +0530

recoll (1.11.0-2) unstable; urgency=low

  * debian/control:
    + Added versioned build-dep on libxapian-dev, Thanks to Brad Sawatzky
      <brad+debian@swatter.net> for catch (Closes: #507473)
    + Add libimage-exiftool-perl as Suggests in which I forgot in
      previous upload
  * debian/changelog:
    + Fixed typo from previous upload entry

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Dec 2008 15:05:55 +0530

recoll (1.11.0-1) unstable; urgency=low

  * New upstream release:
    + Remembers missing filters in first run (Closes: #500690)
  * debian/control:
    + Added libimage-exiftool-perl as Suggests (Closes: #502427)
    + Added Python as recommaded due to filters/rclpython script
      although, its not necessary as it will be installed only
      when Python is present
  * debian/patches:
    + Refreshed patch for gcc 4.4 FTBFS (Closes: #505376)
  * debian/copyright:
    + Updated for newly added filter and image files

 -- Kartik Mistry <kartik@debian.org>  Thu, 13 Nov 2008 21:18:15 +0530

recoll (1.10.6-1) unstable; urgency=low

  * New upstream release
    + Fixed typo in tooltip in indexing configuration (Closes: #486689)
    + Dropped patch 03_manpage_fixes.dpatch, merged with upstream
  * debian/control:
    + Updated to Standards-Version 3.8.0 (no changes needed)
    + Updated my maintainer email address
  * debian/copyright:
    + Updated my maintainer email address
    + Updated license text to proposed license format
    + Updated upstream copyright year

 -- Kartik Mistry <kartik@debian.org>  Thu, 11 Sep 2008 16:06:48 +0530

recoll (1.10.2-1) unstable; urgency=low

  * New upstream release
    + Updated patch debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch
      Some portions are now merged with upstream
  * debian/copyright:
    + Fixed indentation to 80 characters
    + Updated Debian package copyright year

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 29 May 2008 23:25:40 +0530

recoll (1.10.1-1) unstable; urgency=low

  * New upstream release
    + Updated debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch
      Some portions are merged with upstream
  * debian/control:
    + Fixed short description, Thanks to Mohammed Adnène Trojette
      <adn+deb@diwi.org>
  * debian/patches/03_manpage_fixes.dpatch:
    + Added patch to fix manpage groff warnings

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 27 Feb 2008 18:41:25 +0530

recoll (1.10.0-5) unstable; urgency=low

  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Really fixed the FTBFS with gcc-4.3/g++-4.3 (Closes: #455652)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sun, 27 Jan 2008 14:37:53 +0530

recoll (1.10.0-4) unstable; urgency=low

  * debian/patches/02_gcc-snapshot-missing-headers-fix.dpatch:
    + Updated patch to fix missing include header in qtgui/main.cpp
      (Closes: #455652)
  * debian/copyright:
    + Updated missing license for qtgui/q3richtext_p.h
    + Moved other copyright holders for GPL above license
      to make it readable

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 23 Jan 2008 10:42:20 +0530

recoll (1.10.0-3) unstable; urgency=low

  * debian/control:
    + Added external helper programs and utilities to Suggests field
     (Closes: #441629, #457033)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 28 Dec 2007 08:12:52 +0530

recoll (1.10.0-2) unstable; urgency=low

  * debian/control:

