=== lib/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 all: $(LIBS)
 
-OBJS =  rclaspell.o rclconfig.o rclinit.o textsplit.o unacpp.o csguess.o indexer.o mimetype.o htmlparse.o myhtmlparse.o mimehandler.o internfile.o mh_exec.o mh_html.o mh_mail.o mh_mbox.o mh_text.o docseq.o docseqdb.o docseqhist.o filtseq.o history.o plaintorich.o recollq.o reslistpager.o sortseq.o wasastringtoquery.o wasatorcl.o rcldb.o rcldoc.o rclquery.o searchdata.o stemdb.o stoplist.o base64.o conftree.o copyfile.o debuglog.o execmd.o fstreewalk.o idfile.o fileudi.o md5.o mimeparse.o pathut.o pxattr.o readfile.o smallut.o transcode.o wipedir.o x11mon.o mime-getpart.o mime-parsefull.o mime-parseonlyheader.o mime-printbody.o mime-printdoc.o mime-printheader.o mime.o convert.o iodevice.o iofactory.o
-DEPS =  rclaspell.dep.stamp rclconfig.dep.stamp rclinit.dep.stamp textsplit.dep.stamp unacpp.dep.stamp csguess.dep.stamp indexer.dep.stamp mimetype.dep.stamp htmlparse.dep.stamp myhtmlparse.dep.stamp mimehandler.dep.stamp internfile.dep.stamp mh_exec.dep.stamp mh_html.dep.stamp mh_mail.dep.stamp mh_mbox.dep.stamp mh_text.dep.stamp docseq.dep.stamp docseqdb.dep.stamp docseqhist.dep.stamp filtseq.dep.stamp history.dep.stamp plaintorich.dep.stamp recollq.dep.stamp reslistpager.dep.stamp sortseq.dep.stamp wasastringtoquery.dep.stamp wasatorcl.dep.stamp rcldb.dep.stamp rcldoc.dep.stamp rclquery.dep.stamp searchdata.dep.stamp stemdb.dep.stamp stoplist.dep.stamp base64.dep.stamp conftree.dep.stamp copyfile.dep.stamp debuglog.dep.stamp execmd.dep.stamp fstreewalk.dep.stamp idfile.dep.stamp fileudi.dep.stamp md5.dep.stamp mimeparse.dep.stamp pathut.dep.stamp pxattr.dep.stamp readfile.dep.stamp smallut.dep.stamp transcode.dep.stamp wipedir.dep.stamp x11mon.dep.stamp mime-getpart.dep.stamp mime-parsefull.dep.stamp mime-parseonlyheader.dep.stamp mime-printbody.dep.stamp mime-printdoc.dep.stamp mime-printheader.dep.stamp mime.dep.stamp convert.dep.stamp iodevice.dep.stamp iofactory.dep.stamp
+OBJS =  rclaspell.o rclconfig.o rclinit.o textsplit.o unacpp.o beaglequeue.o csguess.o fsindexer.o indexer.o mimetype.o htmlparse.o myhtmlparse.o mimehandler.o internfile.o mh_exec.o mh_execm.o mh_html.o mh_mail.o mh_mbox.o mh_text.o docseq.o docseqdb.o docseqhist.o filtseq.o dynconf.o plaintorich.o recollq.o reslistpager.o sortseq.o wasastringtoquery.o wasatorcl.o rcldb.o rcldoc.o rclquery.o searchdata.o stemdb.o stoplist.o base64.o circache.o closefrom.o conftree.o copyfile.o debuglog.o execmd.o fstreewalk.o idfile.o fileudi.o md5.o mimeparse.o netcon.o pathut.o pxattr.o readfile.o smallut.o transcode.o wipedir.o x11mon.o mime-getpart.o mime-parsefull.o mime-parseonlyheader.o mime-printbody.o mime-printdoc.o mime-printheader.o mime.o convert.o iodevice.o iofactory.o
+DEPS =  rclaspell.dep.stamp rclconfig.dep.stamp rclinit.dep.stamp textsplit.dep.stamp unacpp.dep.stamp beaglequeue.dep.stamp csguess.dep.stamp fsindexer.dep.stamp indexer.dep.stamp mimetype.dep.stamp htmlparse.dep.stamp myhtmlparse.dep.stamp mimehandler.dep.stamp internfile.dep.stamp mh_exec.dep.stamp mh_execm.dep.stamp mh_html.dep.stamp mh_mail.dep.stamp mh_mbox.dep.stamp mh_text.dep.stamp docseq.dep.stamp docseqdb.dep.stamp docseqhist.dep.stamp filtseq.dep.stamp dynconf.dep.stamp plaintorich.dep.stamp recollq.dep.stamp reslistpager.dep.stamp sortseq.dep.stamp wasastringtoquery.dep.stamp wasatorcl.dep.stamp rcldb.dep.stamp rcldoc.dep.stamp rclquery.dep.stamp searchdata.dep.stamp stemdb.dep.stamp stoplist.dep.stamp base64.dep.stamp circache.dep.stamp closefrom.dep.stamp conftree.dep.stamp copyfile.dep.stamp debuglog.dep.stamp execmd.dep.stamp fstreewalk.dep.stamp idfile.dep.stamp fileudi.dep.stamp md5.dep.stamp mimeparse.dep.stamp netcon.dep.stamp pathut.dep.stamp pxattr.dep.stamp readfile.dep.stamp smallut.dep.stamp transcode.dep.stamp wipedir.dep.stamp x11mon.dep.stamp mime-getpart.dep.stamp mime-parsefull.dep.stamp mime-parseonlyheader.dep.stamp mime-printbody.dep.stamp mime-printdoc.dep.stamp mime-printheader.dep.stamp mime.dep.stamp convert.dep.stamp iodevice.dep.stamp iofactory.dep.stamp
 
 librcl.a : $(DEPS) $(OBJS) unac.o
 	ar ru librcl.a $(OBJS) unac.o
@@ -25,8 +25,12 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../common/textsplit.cpp
 unacpp.o : ../common/unacpp.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../common/unacpp.cpp
+beaglequeue.o : ../index/beaglequeue.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../index/beaglequeue.cpp
 csguess.o : ../index/csguess.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../index/csguess.cpp
+fsindexer.o : ../index/fsindexer.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../index/fsindexer.cpp
 indexer.o : ../index/indexer.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../index/indexer.cpp
 mimetype.o : ../index/mimetype.cpp
@@ -41,6 +45,8 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/internfile.cpp
 mh_exec.o : ../internfile/mh_exec.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_exec.cpp
+mh_execm.o : ../internfile/mh_execm.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_execm.cpp
 mh_html.o : ../internfile/mh_html.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../internfile/mh_html.cpp
 mh_mail.o : ../internfile/mh_mail.cpp
@@ -57,8 +63,8 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../query/docseqhist.cpp
 filtseq.o : ../query/filtseq.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../query/filtseq.cpp
-history.o : ../query/history.cpp
-	$(CXX) $(ALL_CXXFLAGS) -c ../query/history.cpp
+dynconf.o : ../query/dynconf.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../query/dynconf.cpp
 plaintorich.o : ../query/plaintorich.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../query/plaintorich.cpp
 recollq.o : ../query/recollq.cpp
@@ -85,6 +91,10 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../rcldb/stoplist.cpp
 base64.o : ../utils/base64.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/base64.cpp
+circache.o : ../utils/circache.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../utils/circache.cpp
+closefrom.o : ../utils/closefrom.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../utils/closefrom.cpp
 conftree.o : ../utils/conftree.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/conftree.cpp
 copyfile.o : ../utils/copyfile.cpp
@@ -103,6 +113,8 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/md5.cpp
 mimeparse.o : ../utils/mimeparse.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/mimeparse.cpp
+netcon.o : ../utils/netcon.cpp
+	$(CXX) $(ALL_CXXFLAGS) -c ../utils/netcon.cpp
 pathut.o : ../utils/pathut.cpp
 	$(CXX) $(ALL_CXXFLAGS) -c ../utils/pathut.cpp
 pxattr.o : ../utils/pxattr.cpp
@@ -139,7 +151,7 @@
 	$(CXX) $(ALL_CXXFLAGS) -c ../bincimapmime/iofactory.cc
 depend: $(DEPS)
 clean:
-	rm -f $(OBJS) $(LIBS) $(DEPS) unac.o
+	rm -f $(OBJS) $(LIBS) $(DEPS) *.stamp unac.o
 	for i in *.dep;do test -f $$i && cp /dev/null $$i;done
 distclean: clean
 	rm -f *.dep   
@@ -158,9 +170,15 @@
 unacpp.dep.stamp : ../common/unacpp.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../common/unacpp.cpp > unacpp.dep
 	touch unacpp.dep.stamp
+beaglequeue.dep.stamp : ../index/beaglequeue.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../index/beaglequeue.cpp > beaglequeue.dep
+	touch beaglequeue.dep.stamp
 csguess.dep.stamp : ../index/csguess.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../index/csguess.cpp > csguess.dep
 	touch csguess.dep.stamp
+fsindexer.dep.stamp : ../index/fsindexer.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../index/fsindexer.cpp > fsindexer.dep
+	touch fsindexer.dep.stamp
 indexer.dep.stamp : ../index/indexer.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../index/indexer.cpp > indexer.dep
 	touch indexer.dep.stamp
@@ -182,6 +200,9 @@
 mh_exec.dep.stamp : ../internfile/mh_exec.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_exec.cpp > mh_exec.dep
 	touch mh_exec.dep.stamp
+mh_execm.dep.stamp : ../internfile/mh_execm.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_execm.cpp > mh_execm.dep
+	touch mh_execm.dep.stamp
 mh_html.dep.stamp : ../internfile/mh_html.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../internfile/mh_html.cpp > mh_html.dep
 	touch mh_html.dep.stamp
@@ -206,31 +227,6 @@
 filtseq.dep.stamp : ../query/filtseq.cpp
 	$(CXX) -M $(ALL_CXXFLAGS) ../query/filtseq.cpp > filtseq.dep
 	touch filtseq.dep.stamp
-history.dep.stamp : ../query/history.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/history.cpp > history.dep
-	touch history.dep.stamp
-plaintorich.dep.stamp : ../query/plaintorich.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/plaintorich.cpp > plaintorich.dep
-	touch plaintorich.dep.stamp
-recollq.dep.stamp : ../query/recollq.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/recollq.cpp > recollq.dep
-	touch recollq.dep.stamp
-reslistpager.dep.stamp : ../query/reslistpager.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/reslistpager.cpp > reslistpager.dep
-	touch reslistpager.dep.stamp
-sortseq.dep.stamp : ../query/sortseq.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/sortseq.cpp > sortseq.dep
-	touch sortseq.dep.stamp
-wasastringtoquery.dep.stamp : ../query/wasastringtoquery.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/wasastringtoquery.cpp > wasastringtoquery.dep
-	touch wasastringtoquery.dep.stamp
-wasatorcl.dep.stamp : ../query/wasatorcl.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../query/wasatorcl.cpp > wasatorcl.dep
-	touch wasatorcl.dep.stamp
-rcldb.dep.stamp : ../rcldb/rcldb.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../rcldb/rcldb.cpp > rcldb.dep
-	touch rcldb.dep.stamp
-rcldoc.dep.stamp : ../rcldb/rcldoc.cpp
-	$(CXX) -M $(ALL_CXXFLAGS) ../rcldb/rcldoc.cpp > rcldoc.dep
-	touch rcldoc.dep.stamp
-rclquery.dep.stamp : ../rcldb/rclquery.cpp
+dynconf.dep.stamp : ../query/dynconf.cpp
+	$(CXX) -M $(ALL_CXXFLAGS) ../query/dynconf.cpp > dynconf.dep
+	touch dynconf.dep.stamp
