=== utils/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 depth = ..
 include $(depth)/mk/sysconf
 
-PROGS = trmd5 trreadfile trfileudi trconftree wipedir smallut \
+PROGS = trcircache trmd5 trreadfile trfileudi trconftree wipedir smallut \
       trfstreewalk trpathut \
       transcode trbase64 \
       trmimeparse trexecmd utf8iter idfile
@@ -26,6 +26,13 @@
 	$(CXX) -o trreadfile.o -c $(ALL_CXXFLAGS) \
 	       -DTEST_READFILE readfile.cpp
 
+CIRCACHE_OBJS= trcircache.o circache.o $(BIGLIB)
+trcircache : $(CIRCACHE_OBJS)
+	$(CXX) -o trcircache $(CIRCACHE_OBJS) $(LIBICONV) $(LIBSYS)
+trcircache.o : circache.cpp circache.h
+	$(CXX) -o trcircache.o -c $(ALL_CXXFLAGS) \
+	       -DTEST_CIRCACHE circache.cpp
+
 MD5_OBJS= trmd5.o md5.o $(BIGLIB)
 trmd5 : $(MD5_OBJS)
 	$(CXX) -o trmd5 $(MD5_OBJS) $(LIBICONV) $(LIBSYS)
@@ -47,7 +54,7 @@
 
 EXECMD_OBJS= trexecmd.o $(BIGLIB)
 trexecmd : $(EXECMD_OBJS)
-	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) $(LIBICONV)
+	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) $(LIBICONV) $(LIBSYS)
 trexecmd.o : execmd.cpp execmd.h
 	$(CXX) -o trexecmd.o -c $(ALL_CXXFLAGS) -DTEST_EXECMD execmd.cpp
 
@@ -72,12 +79,14 @@
 	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMEPARSE -c -o trmimeparse.o \
 	       mimeparse.cpp
 
-SMALLUT_OBJS= trsmallut.o  $(BIGLIB) 
-smallut : $(SMALLUT_OBJS)
+SMALLUT_OBJS= trsmallut.o ../lib/smallut.o
+smallut : $(SMALLUT_OBJS) smallut.h
 	$(CXX) $(ALL_CXXFLAGS) -o smallut $(SMALLUT_OBJS) $(LIBICONV)
-trsmallut.o : smallut.cpp 
+trsmallut.o : smallut.cpp smallut.h
 	$(CXX) $(ALL_CXXFLAGS) -DTEST_SMALLUT -c -o trsmallut.o \
 	       smallut.cpp
+../lib/smallut.o: smallut.cpp smallut.h
+	cd ../lib;make smallut.o
 
 WIPEDIR_OBJS= trwipedir.o  $(BIGLIB) 
 wipedir : $(WIPEDIR_OBJS)
