=== kde/kioslave/recoll/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+cmake_minimum_required(VERSION 2.6)
+
 project(kio_recoll)
 
 find_package(KDE4 REQUIRED)
@@ -11,6 +13,15 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 
 
 set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)
+
+# Execute minimum recoll configuration to create autoconfig.h and version.h
+execute_process(COMMAND ${rcltop}/configure --without-gui --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
+		WORKING_DIRECTORY ${rcltop}
+)
+execute_process(COMMAND make common/rclversion.h
+		WORKING_DIRECTORY ${rcltop}
+)
+
 
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
   ${rcltop}/aspell 
@@ -41,11 +52,13 @@
 ${rcltop}/common/textsplit.cpp
 ${rcltop}/common/unacpp.cpp
 ${rcltop}/index/mimetype.cpp
+${rcltop}/index/beaglequeue.cpp
 ${rcltop}/internfile/htmlparse.cpp
 ${rcltop}/internfile/internfile.cpp
 ${rcltop}/internfile/myhtmlparse.cpp
 ${rcltop}/internfile/mimehandler.cpp
 ${rcltop}/internfile/mh_exec.cpp
+${rcltop}/internfile/mh_execm.cpp
 ${rcltop}/internfile/mh_html.cpp
 ${rcltop}/internfile/mh_mail.cpp
 ${rcltop}/internfile/mh_mbox.cpp
@@ -64,14 +77,18 @@
 ${rcltop}/rcldb/stoplist.cpp
 ${rcltop}/unac/unac.c
 ${rcltop}/utils/base64.cpp
+${rcltop}/utils/circache.cpp
+${rcltop}/utils/closefrom.cpp
 ${rcltop}/utils/conftree.cpp
 ${rcltop}/utils/copyfile.cpp
 ${rcltop}/utils/debuglog.cpp
 ${rcltop}/utils/execmd.cpp
+${rcltop}/utils/fstreewalk.cpp
 ${rcltop}/utils/idfile.cpp
 ${rcltop}/utils/fileudi.cpp
 ${rcltop}/utils/md5.cpp
 ${rcltop}/utils/mimeparse.cpp
+${rcltop}/utils/netcon.cpp
 ${rcltop}/utils/pathut.cpp
 ${rcltop}/utils/readfile.cpp
 ${rcltop}/utils/smallut.cpp
@@ -90,7 +107,7 @@
 
 kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})
 
-target_link_libraries(kio_recoll xapian ${EXTRA_LIBS} ${KDE4_KIO_LIBS})
+target_link_libraries(kio_recoll xapian z ${EXTRA_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})
