=== debian/changelog ===
recoll (1.13.04-3+squeeze1) stable; urgency=low

  * debian/patches/03_patch-unac-icclose.diff:
    + plug conversion descriptor leak in unac.c::convert() error path, fixes
      index crash (Closes: #614760)

 -- Kartik Mistry <kartik@debian.org>  Sat, 29 Oct 2011 19:41:21 +0530

recoll (1.13.04-3) unstable; urgency=low

  * Added patch for xapian 1.2 compatibility from Olly Betts <olly@survex.com>
    (Closes: #579929)

 -- Kartik Mistry <kartik@debian.org>  Mon, 03 May 2010 09:47:16 +0530

recoll (1.13.04-2) unstable; urgency=low

  * debian/control:
    + Added missing packages to Suggests: flac, libid3-tools, lyx, pstotext,
      python-chm, untex, vorbis-tools Thanks to Ivan Vilata i Balaguer
      <ivan@selidor.net> (Closes: #578441)

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Apr 2010 11:07:00 +0530

recoll (1.13.04-1) unstable; urgency=low

  * New upstream release

 -- Kartik Mistry <kartik@debian.org>  Fri, 16 Apr 2010 10:39:02 +0530

recoll (1.13.02-2) unstable; urgency=low

  * debian/control:
    + Don't suggest xpdf (Closes: #569333)
  * debian/copyright:
    + Updated Debian package copyright year
  * Removed unused README.source file

 -- Kartik Mistry <kartik@debian.org>  Fri, 19 Feb 2010 10:42:53 +0530

recoll (1.13.02-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to Standards-Version 3.8.4 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2010 11:00:53 +0530
