=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
                libx11-dev,
                libz-dev
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: recoll
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: aspell, python
-Suggests: antiword, catdoc, ghostscript, libimage-exiftool-perl, poppler-utils, unrtf, xpdf
+Suggests: antiword, catdoc, flac, ghostscript, libid3-tools,
+ libimage-exiftool-perl, lyx, poppler-utils, pstotext, python-chm, unrtf, untex,
+ vorbis-tools
 Description: Personal full text search package with a Qt GUI
  This package is a personal full text search package is based on a very strong
  backend (Xapian), for which it provides an easy to use and feature-rich
